### Method

# RB LibraryBrowser set_model

#### Declaration [src]

    void
    rb_library_browser_set_model (
      RBLibraryBrowser* widget,
      RhythmDBQueryModel* model,
      gboolean query_pending
    )

#### Description [src]

Specifies a new input query model for the browser. This should be the query model constructed from the current search text, or the basic query model for the source if there is no search text.

#### Parameters

`model`

  Type: `RhythmDBQueryModel`

  The new input `RhythmDBQueryModel`.

  The data is owned by the caller of the method.

`query_pending`

  Type: `gboolean`

  If TRUE, the caller promises to run a query to populate the input query model.